CS::Animation::MocapParserResult Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
CS::Animation::MocapParserResult Struct Reference

Return structure for CS::Animation::MocapParser::ParseData() More...

`#include <cstool/mocapparser.h>`

List of all members.

## Public Attributes
CS::Animation::iSkeletonAnimPacketFactory * | animPacketFactory
| The newly created animation packet factory, if the parsing is successful, nullptr otherwise.
size_t | frameCount
| The count of animation frames that have been imported.
float | frameDuration
| The duration of each frames, in second.
bool | result
| Whether the parsing has been successful or not.
CS::Animation::iSkeletonFactory * | skeletonFactory
| The newly created skeleton factory, if the parsing is successful, nullptr otherwise.

## Detailed Description

Return structure for CS::Animation::MocapParser::ParseData()

Definition at line 42 of file mocapparser.h.

## Member Data Documentation

CS::Animation::iSkeletonAnimPacketFactory* CS::Animation::MocapParserResult::animPacketFactory

The newly created animation packet factory, if the parsing is successful, nullptr otherwise.

This animation packet will contain the animations imported from the parsing.

Definition at line 51 of file mocapparser.h.

size_t CS::Animation::MocapParserResult::frameCount

The count of animation frames that have been imported.

Definition at line 57 of file mocapparser.h.

float CS::Animation::MocapParserResult::frameDuration

The duration of each frames, in second.

Definition at line 60 of file mocapparser.h.

bool CS::Animation::MocapParserResult::result

Whether the parsing has been successful or not.

Definition at line 45 of file mocapparser.h.

CS::Animation::iSkeletonFactory* CS::Animation::MocapParserResult::skeletonFactory

The newly created skeleton factory, if the parsing is successful, nullptr otherwise.

Definition at line 54 of file mocapparser.h.

The documentation for this struct was generated from the following file:

- cstool/mocapparser.h